Package org.eclipse.net4j.util.concurrent

# Schnittstelle ICorrelator<CORRELATION,VALUE>

Alle bekannten Implementierungsklassen:
  `SynchronizingCorrelator`

public interface ICorrelator<CORRELATION,VALUE>

Autor:
  Eike Stepper

## Methodenübersicht

Modifizierer und Typ
Methode
Beschreibung
`VALUE`
`correlate(CORRELATION correlation)`
`VALUE`
`correlateUnique(CORRELATION correlation)`
`boolean`
`isCorrelated(CORRELATION correlation)`
`VALUE`
`uncorrelate(CORRELATION correlation)`

## Methodendetails

### isCorrelated

boolean isCorrelated(CORRELATION correlation)

### correlate

VALUE correlate(CORRELATION correlation)

### correlateUnique

VALUE correlateUnique(CORRELATION correlation)

### uncorrelate

VALUE uncorrelate(CORRELATION correlation)